Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity
Interface IdentityContext

All Known Implementing Classes:
  IdentityContextImpl

    public interface IdentityContext

Keeps track on all identity modules deployed with simple name-object mapping

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`static java.lang.String` | `TYPE_CONNECTION_CONTEXT`
`static java.lang.String` | `TYPE_IDENTITY_CONFIGURATION`
`static java.lang.String` | `TYPE_IDENTITY_EVENT_BROADCASTER`
`static java.lang.String` | `TYPE_MEMBERSHIP_MODULE`
`static java.lang.String` | `TYPE_ROLE_MODULE`
`static java.lang.String` | `TYPE_USER_MODULE`
`static java.lang.String` | `TYPE_USER_PROFILE_MODULE`

Method Summary
`java.lang.Object` | `getObject(java.lang.String name)` Retrieve registered identity object
`void` | `register(java.lang.Object object, java.lang.String name)` Retister identity object in context
`void` | `unregister(java.lang.String name)` Remove identity object from context

Field Detail

### TYPE_USER_MODULE

    static final java.lang.String TYPE_USER_MODULE

See Also:
  Constant Field Values

### TYPE_ROLE_MODULE

    static final java.lang.String TYPE_ROLE_MODULE

See Also:
  Constant Field Values

### TYPE_MEMBERSHIP_MODULE

    static final java.lang.String TYPE_MEMBERSHIP_MODULE

See Also:
  Constant Field Values

### TYPE_USER_PROFILE_MODULE

    static final java.lang.String TYPE_USER_PROFILE_MODULE

See Also:
  Constant Field Values

### TYPE_CONNECTION_CONTEXT

    static final java.lang.String TYPE_CONNECTION_CONTEXT

See Also:
  Constant Field Values

### TYPE_IDENTITY_CONFIGURATION

    static final java.lang.String TYPE_IDENTITY_CONFIGURATION

See Also:
  Constant Field Values

### TYPE_IDENTITY_EVENT_BROADCASTER

    static final java.lang.String TYPE_IDENTITY_EVENT_BROADCASTER

See Also:
  Constant Field Values

Method Detail

### register

    void register(java.lang.Object object,
                  java.lang.String name)
                  throws IdentityException

  Retister identity object in context

  Parameters:
    `object` - representing identity object
    `name` - to map object
  Throws:
    `IdentityException` - thrown if such object is already registered or operation fail.

### unregister

    void unregister(java.lang.String name)

  Remove identity object from context

  Parameters:
    `name` - of identity object

### getObject

    java.lang.Object getObject(java.lang.String name)
                               throws IdentityException

  Retrieve registered identity object

  Parameters:
    `name` -
  Returns:
  Throws:
    `IdentityException` - thrown if no such object exists in context

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD